Skip to content

Intelli Recover Device ​

8 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getIntelliRecoverSettingGETGet intelli recover setting
modifyIntelliRecoverSettingPOSTModify intelli recover setting
addMonitorDevicesPOSTAdd device into intelli recover device list
deleteMonitorDevicesDELETEDelete the intelli recover device
getEligibleDeviceListGETObtain the list of devices that can be monitored
getGridMonitorDeviceGETGet the intelli recover device list
rebootDeviceUplinkPoePOSTReboot the device uplinkDevice poe
verifyMonitorDevicePOSTVerify if the device is allowed to be monitored

getIntelliRecoverSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/intelli-recover/auto-setting/config

Get intelli recover setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getIntelliRecoverSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get intelli recover setting
The interface requires one of the permissions:
Device Recovery View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

modifyIntelliRecoverSetting ​

POST /openapi/v1/{omadacId}/sites/{siteId}/intelli-recover/auto-setting/modify

Modify intelli recover setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema IntelliRecoverSetting

FieldTypeRequiredDescription
idstringnoThe intelli recover setting Id.
autoFlagbooleannoAuto recovering flag
firstRebootPoeIntervalintegernoFirst reboot uplinkDevice poe interval
limitNumintegernoThe limit reboot uplinkDevice poe number
rebootPoeIntervalintegernoRetry reboot uplinkDevice poe interval
json
// omada_call_operation
{
  "operationId": "modifyIntelliRecoverSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify intelli recover setting
The interface requires one of the permissions:
Device Recovery Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

addMonitorDevices ​

POST /openapi/v1/{omadacId}/sites/{siteId}/monitor-device/add

Add device into intelli recover device list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema AddMonitorDeviceList

FieldTypeRequiredDescription
addDeviceListarray<MonitorDevice>noThe device to be added to the monitor list
json
// omada_call_operation
{
  "operationId": "addMonitorDevices",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Add device into intelli recover device list
The interface requires one of the permissions:
Device Recovery Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

deleteMonitorDevices ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/monitor-device/delete

Delete the intelli recover device

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeleteIntelliRecoverDevice

FieldTypeRequiredDescription
deleteMacsarray<string>noThe device macs to be deleted from intelli recover device list.
json
// omada_call_operation
{
  "operationId": "deleteMonitorDevices",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete the intelli recover device
The interface requires one of the permissions:
Device Recovery Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getEligibleDeviceList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/monitor-device/eligible-device-grids

Obtain the list of devices that can be monitored

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getEligibleDeviceList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Obtain the list of devices that can be monitored
The interface requires one of the permissions:
Device Recovery View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getGridMonitorDevice ​

GET /openapi/v1/{omadacId}/sites/{siteId}/monitor-device/grids

Get the intelli recover device list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridMonitorDevice",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the intelli recover device list
The interface requires one of the permissions:
Device Recovery View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

rebootDeviceUplinkPoe ​

POST /openapi/v1/{omadacId}/sites/{siteId}/monitor-device/reboot-uplink-poe

Reboot the device uplinkDevice poe

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema MonitorDevice

FieldTypeRequiredDescription
idstringnoThe monitor device Id
customIdstringnoThe device Id
namestringnoThe device name
macstringyesThe device mac
ipstringnoThe device ip
deviceTypeintegernoThe device type
typestringnoThe device type.Such as: ap, switch, gateway
showModelstringnoThe device showModel
specialModelstringnoThe device specialModel
modelstringnoThe device model
modelVersionstringnoThe device modelVersion
modelModelVersionstringnoThe device modelModelVersion
clientFlagbooleannoWhether the device is a client
statusCategoryintegernoWhether the device is online
clientTypestringnoClient type
monitoringStatusintegernoThe device monitoringStatus
recoveryCyclesintegernoThe device recoveryCycles
uplinkDeviceUplinkDeviceno(UplinkDevice not expanded; call omada_get_schema "UplinkDevice")
eligibleFlagbooleannoWhether the device can be monitored
notEligibleReasonstringnoThe reason of the device can't be monitored
json
// omada_call_operation
{
  "operationId": "rebootDeviceUplinkPoe",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Reboot the device uplinkDevice poe
The interface requires one of the permissions:
Device Recovery Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

verifyMonitorDevice ​

POST /openapi/v1/{omadacId}/sites/{siteId}/monitor-device/verify

Verify if the device is allowed to be monitored

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema VerifyDevice

FieldTypeRequiredDescription
monitorDeviceMonitorDeviceno(MonitorDevice not expanded; call omada_get_schema "MonitorDevice")
json
// omada_call_operation
{
  "operationId": "verifyMonitorDevice",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Verify if the device is allowed to be monitored
The interface requires one of the permissions:
Device Recovery View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.